# timetable_gui.cpp File Reference

`#include "stdafx.h"`
`#include "openttd.h"`
`#include "variables.h"`
`#include "command_func.h"`
`#include "engine.h"`
`#include "gui.h"`
`#include "window_gui.h"`
`#include "textbuf_gui.h"`
`#include "cargotype.h"`
`#include "depot.h"`
`#include "strings_func.h"`
`#include "vehicle_base.h"`
`#include "string_func.h"`
`#include "gfx_func.h"`
`#include "player_func.h"`
`#include "settings_type.h"`
`#include "table/strings.h"`

Go to the source code of this file.

## Functions

static int | GetOrderFromTimetableWndPt (Window *w, int y, const Vehicle *v)
static void | SetTimetableParams (int param1, int param2, uint32 time)
static void | DrawTimetableWindow (Window *w)
static uint32 | PackTimetableArgs (const Vehicle *v, uint selected)
static void | TimetableWndProc (Window *w, WindowEvent *we)
void | ShowTimetableWindow (const Vehicle *v)

## Variables

static const Widget | _timetable_widgets []
static const WindowDesc | _timetable_desc

## Detailed Description

Definition in file timetable_gui.cpp.

## Variable Documentation

const WindowDesc _timetable_desc`[static]`

Initial value:

     {
      WDP_AUTO, WDP_AUTO, 400, 130, 400, 130,
      WC_VEHICLE_TIMETABLE, WC_VEHICLE_VIEW,
      WDF_STD_TOOLTIPS | WDF_STD_BTN | WDF_DEF_WIDGET | WDF_UNCLICK_BUTTONS | WDF_STICKY_BUTTON | WDF_RESIZABLE,
      _timetable_widgets,
      TimetableWndProc
    }

Definition at line 318 of file timetable_gui.cpp.

const Widget _timetable_widgets[]`[static]`

Initial value:

     {
      {   WWT_CLOSEBOX,   RESIZE_NONE,    14,     0,    10,     0,    13, STR_00C5,                   STR_018B_CLOSE_WINDOW},
      {    WWT_CAPTION,   RESIZE_RIGHT,   14,    11,   387,     0,    13, STR_TIMETABLE_TITLE,        STR_018C_WINDOW_TITLE_DRAG_THIS},
      {  WWT_STICKYBOX,   RESIZE_LR,      14,   388,   399,     0,    13, STR_NULL,                   STR_STICKY_BUTTON},

      {      WWT_PANEL,   RESIZE_RB,      14,     0,   387,    14,    95, STR_NULL,                   STR_TIMETABLE_TOOLTIP},
      {  WWT_SCROLLBAR,   RESIZE_LRB,     14,   388,   399,    14,    95, STR_NULL,                   STR_0190_SCROLL_BAR_SCROLLS_LIST},

      {      WWT_PANEL,   RESIZE_RTB,     14,     0,   399,    96,   117, STR_NULL,                   STR_NULL},

      { WWT_PUSHTXTBTN,   RESIZE_TB,      14,     0,   109,   118,   129, STR_TIMETABLE_CHANGE_TIME,  STR_TIMETABLE_WAIT_TIME_TOOLTIP},
      { WWT_PUSHTXTBTN,   RESIZE_TB,      14,   110,   219,   118,   129, STR_CLEAR_TIME,             STR_TIMETABLE_CLEAR_TIME_TOOLTIP},
      { WWT_PUSHTXTBTN,   RESIZE_TB,      14,   220,   337,   118,   129, STR_RESET_LATENESS,         STR_TIMETABLE_RESET_LATENESS_TOOLTIP},
      { WWT_PUSHTXTBTN,   RESIZE_TB,      14,   338,   387,   118,   129, STR_TIMETABLE_AUTOFILL,     STR_TIMETABLE_AUTOFILL_TOOLTIP},

      {      WWT_PANEL,   RESIZE_RTB,     14,   388,   387,   118,   129, STR_NULL,                   STR_NULL},
      {  WWT_RESIZEBOX,   RESIZE_LRTB,    14,   388,   399,   118,   129, STR_NULL,                   STR_RESIZE_BUTTON},

      {    WIDGETS_END }
    }

Definition at line 297 of file timetable_gui.cpp.